Loading...
Searching...
No Matches
peripheral::ModbusCfg Interface Reference

## Classes

struct | SerialSettings

## Public Types

enum | ModbusFunction { COIL , DISCRETE_INPUT , HOLDING_REGISTER , INPUT_REGISTER }
enum | SpecificModbusErrors { ERROR_BADCRC , ERROR_BADDATA , ERROR_BADEXC , ERROR_UNKEXC , ERROR_MDATA , ERROR_OTHER }

## Public Attributes

constant int | EXCEPTION_ILLEGAL_FUNCTION = 1
constant int | EXCEPTION_ILLEGAL_DATA_ADDRESS = 2
constant int | EXCEPTION_ILLEGAL_DATA_VALUE = 3
constant int | EXCEPTION_SLAVE_OR_SERVER_FAILURE = 4
constant int | EXCEPTION_ACKNOWLEDGE = 5
constant int | EXCEPTION_SLAVE_OR_SERVER_BUSY = 6
constant int | EXCEPTION_NEGATIVE_ACKNOWLEDGE = 7
constant int | EXCEPTION_MEMORY_PARITY = 8
constant int | EXCEPTION_GATEWAY_PATH = 10
constant int | EXCEPTION_GATEWAY_TARGET = 11

## Detailed Description

Definition at line 13 of file ModbusCfg.idl.

## Member Enumeration Documentation

## ModbusFunction

enum peripheral::ModbusCfg::ModbusFunction

Definition at line 22 of file ModbusCfg.idl.

## SpecificModbusErrors

enum peripheral::ModbusCfg::SpecificModbusErrors

Definition at line 40 of file ModbusCfg.idl.

## Member Data Documentation

## EXCEPTION_ACKNOWLEDGE

constant int peripheral::ModbusCfg::EXCEPTION_ACKNOWLEDGE = 5

Definition at line 33 of file ModbusCfg.idl.

## EXCEPTION_GATEWAY_PATH

constant int peripheral::ModbusCfg::EXCEPTION_GATEWAY_PATH = 10

Definition at line 37 of file ModbusCfg.idl.

## EXCEPTION_GATEWAY_TARGET

constant int peripheral::ModbusCfg::EXCEPTION_GATEWAY_TARGET = 11

Definition at line 38 of file ModbusCfg.idl.

## EXCEPTION_ILLEGAL_DATA_ADDRESS

constant int peripheral::ModbusCfg::EXCEPTION_ILLEGAL_DATA_ADDRESS = 2

Definition at line 30 of file ModbusCfg.idl.

## EXCEPTION_ILLEGAL_DATA_VALUE

constant int peripheral::ModbusCfg::EXCEPTION_ILLEGAL_DATA_VALUE = 3

Definition at line 31 of file ModbusCfg.idl.

## EXCEPTION_ILLEGAL_FUNCTION

constant int peripheral::ModbusCfg::EXCEPTION_ILLEGAL_FUNCTION = 1

Definition at line 29 of file ModbusCfg.idl.

## EXCEPTION_MEMORY_PARITY

constant int peripheral::ModbusCfg::EXCEPTION_MEMORY_PARITY = 8

Definition at line 36 of file ModbusCfg.idl.

## EXCEPTION_NEGATIVE_ACKNOWLEDGE

constant int peripheral::ModbusCfg::EXCEPTION_NEGATIVE_ACKNOWLEDGE = 7

Definition at line 35 of file ModbusCfg.idl.

## EXCEPTION_SLAVE_OR_SERVER_BUSY

constant int peripheral::ModbusCfg::EXCEPTION_SLAVE_OR_SERVER_BUSY = 6

Definition at line 34 of file ModbusCfg.idl.

## EXCEPTION_SLAVE_OR_SERVER_FAILURE

constant int peripheral::ModbusCfg::EXCEPTION_SLAVE_OR_SERVER_FAILURE = 4

Definition at line 32 of file ModbusCfg.idl.

The documentation for this interface was generated from the following file:

- ModbusCfg.idl